package ui.view;

import java.awt.BorderLayout;
import java.awt.Font;
import java.awt.Image;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 * AboutUs Pop Up Window.
 * 
 * @author Gruppe14
 */
public class AboutUsPopUp extends JFrame {
	/**
	 * Serial.
	 */
	private static final long serialVersionUID = 1L;
	private final JPanel contentPanel = new JPanel();
	private final JPanel contentPanel2 = new JPanel();
	private final JPanel contentPanel3 = new JPanel();
	private JLabel titel = new JLabel("Cyber Physical Systems");
	private JLabel text = new JLabel("Something nice for the user :D");
	private JLabel namesDevelopers = new JLabel("K. Trometer, D. Rieder, T. Zheng, J. Widhalm and E. Palza");
	private JLabel credits = new JLabel();

	/**
	 * Constructor.
	 */
	public AboutUsPopUp() {
		super("About Us");
		this.setIconImage(new ImageIcon(this.getClass().getResource("/Images/Dummy_House.png")).getImage()
				.getScaledInstance(30, 30, Image.SCALE_SMOOTH));
		setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		setBounds(100, 100, 500, 800);
		getContentPane().setLayout(new BorderLayout());
		titel.setBounds(150, 30, 100, 20);
		Font fontTitle = new Font("Titel", 2, 35);
		titel.setFont(fontTitle);
		contentPanel.add(titel);
		getContentPane().add(contentPanel, BorderLayout.NORTH);
		contentPanel2.add(text);
		contentPanel2.add(credits);
		getContentPane().add(contentPanel2, BorderLayout.CENTER);
		contentPanel3.add(namesDevelopers);
		getContentPane().add(contentPanel3, BorderLayout.SOUTH);
	}
}
